Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute.type
Class AttributeTypeResolverImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.type.AbstractAttributeTypeResolver
          org.hibernate.metamodel.source.annotations.attribute.type.AttributeTypeResolverImpl

All Implemented Interfaces:
  AttributeTypeResolver

    public class AttributeTypeResolverImpl

extends AbstractAttributeTypeResolver

Constructor Summary
`AttributeTypeResolverImpl(MappedAttribute mappedAttribute)`

Method Summary
`protected org.jboss.jandex.AnnotationInstance` | `getTypeDeterminingAnnotationInstance()`
`protected String` | `resolveHibernateTypeName(org.jboss.jandex.AnnotationInstance typeAnnotation)`
`protected Map<String,String>` | `resolveHibernateTypeParameters(org.jboss.jandex.AnnotationInstance typeAnnotation)`

Methods inherited from class org.hibernate.metamodel.source.annotations.attribute.type.AbstractAttributeTypeResolver
`getExplicitHibernateTypeName, getExplicitHibernateTypeParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeTypeResolverImpl

    public AttributeTypeResolverImpl(MappedAttribute mappedAttribute)

Method Detail

### resolveHibernateTypeName

    protected String resolveHibernateTypeName(org.jboss.jandex.AnnotationInstance typeAnnotation)

  Specified by:
    `resolveHibernateTypeName` in class `AbstractAttributeTypeResolver`

### resolveHibernateTypeParameters

    protected Map<String,String> resolveHibernateTypeParameters(org.jboss.jandex.AnnotationInstance typeAnnotation)

  Overrides:
    `resolveHibernateTypeParameters` in class `AbstractAttributeTypeResolver`

### getTypeDeterminingAnnotationInstance

    protected org.jboss.jandex.AnnotationInstance getTypeDeterminingAnnotationInstance()

  Specified by:
    `getTypeDeterminingAnnotationInstance` in class `AbstractAttributeTypeResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.